Categories
Commerce Resources · 5 endpoints
GET
/v1/categoriesList Categories
app_install_bearerscope: categories:read
Parameters
| Field | Type | Required | Description |
|---|---|---|---|
typequery | string | optional | product, service, addon |
limitquery | integer | optional | |
starting_afterquery | string | optional | |
ending_beforequery | string | optional |
Returns · 200
| Field | Type | Required | Description |
|---|---|---|---|
data | CategoryListResponse | required | |
data.has_more | boolean | required | |
data.items | CategoryObject[] | required | |
data.items[].collection_type | string | optional | |
data.items[].color | string | optional | |
data.items[].created_at | string | optional | |
data.items[].description | string | optional | |
data.items[].description_html | string | optional | |
data.items[].icon | string | optional | |
data.items[].id | string | required | |
data.items[].image_alt_text | string | optional | |
data.items[].image_url | string | optional | |
data.items[].media_id | string | optional | |
data.items[].name | string | required | |
data.items[].object | string | optional | category |
data.items[].parent_category_id | string | optional | |
data.items[].seo_description | string | optional | |
data.items[].seo_title | string | optional | |
data.items[].show_in_navigation | boolean | optional | |
data.items[].slug | string | optional | |
data.items[].sort_order | integer | optional | |
data.items[].status | string | optional | |
data.items[].tax_code | string | optional | |
data.items[].type | string | optional | product, service, addon |
data.items[].updated_at | string | optional | |
data.next_cursor | string | optional | |
data.object | string | optional | list |
data.url | string | optional | |
success | boolean | required | true |
Errors 400401403404409422429500
curl https://api.getmeonline.io/v1/categories \
-H "Authorization: Bearer $GETME_API_KEY"POST
/v1/categoriesCreate Category
app_install_bearerscope: categories:writeidempotent
Parameters
| Field | Type | Required | Description |
|---|---|---|---|
Idempotency-Keyheader | string | required | Unique key used to make this mutation retry-safe for the replay window. |
Request body · application/json
| Field | Type | Required | Description |
|---|---|---|---|
collection_type | string | optional | manual, automated |
color | string | optional | |
description | string | optional | |
description_html | string | optional | |
icon |
GET
/v1/categories/{category_id}Get Category
app_install_bearerscope: categories:read
Parameters
| Field | Type | Required | Description |
|---|---|---|---|
category_idpath | string | required | Category public identifier in catg_<21 Base62> format. |
Returns · 200
| Field | Type | Required | Description |
|---|---|---|---|
data | CategoryObject | required | |
data.collection_type | string | optional | |
data.color | string | optional | |
data.created_at | string | optional | |
data.description | string |
PATCH
/v1/categories/{category_id}Update Category
app_install_bearerscope: categories:writeidempotent
Parameters
| Field | Type | Required | Description |
|---|---|---|---|
category_idpath | string | required | Category public identifier in catg_<21 Base62> format. |
Idempotency-Keyheader | string | required | Unique key used to make this mutation retry-safe for the replay window. |
Request body · application/json
| Field | Type | Required | Description |
|---|---|---|---|
collection_type | string | optional | manual, automated |
color | string | optional | |
description | string | optional |
POST
/v1/categories/{category_id}/archiveArchive Category
app_install_bearerscope: categories:writeidempotent
Parameters
| Field | Type | Required | Description |
|---|---|---|---|
category_idpath | string | required | Category public identifier in catg_<21 Base62> format. |
Idempotency-Keyheader | string | required | Unique key used to make this mutation retry-safe for the replay window. |
Returns · 200
| Field | Type | Required | Description |
|---|---|---|---|
data | CategoryObject | required | |
data.collection_type | string | optional | |
data.color | string | optional |